Skip to main content
PATCH
/
v1
/
chatting
/
{chatbotId}
/
thread
/
update-thread
Update Thread Status
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/thread/update-thread \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "threadId": "<string>",
    "resolved": true,
    "archived": true,
    "escalated": true,
    "important": true,
    "tags": [
      "<string>"
    ],
    "title": "<string>",
    "internalNotes": "<string>"
  }
]
'
{
  "success": true,
  "message": "Thread statuses updated successfully",
  "data": {
    "updatedThreads": [
      [
        {
          "id": "<string>",
          "chatbotId": "<string>",
          "visitorId": "<string>",
          "title": "<string>",
          "anonymous": true,
          "unreadMessagesCount": 123,
          "escalated": true,
          "important": true,
          "resolved": true,
          "archived": true,
          "tags": [
            "<string>"
          ],
          "positiveCount": 123,
          "negativeCount": 123,
          "platformSource": "<string>",
          "startedAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "endedAt": "2023-11-07T05:31:56Z",
          "visitorName": "<string>",
          "visitorEmail": "<string>",
          "visitorPhone": "<string>",
          "botIconSrc": "<string>",
          "userIconSrc": "<string>",
          "agentIconSrc": "<string>",
          "bubbleIconSrc": "<string>",
          "llmModel": {
            "id": "<string>",
            "provider": "<string>",
            "title": "<string>"
          }
        }
      ]
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json
threadId
string
required
resolved
boolean
archived
boolean
escalated
boolean
important
boolean
mode
enum<string>
Available options:
AI,
AGENT,
HUMAN
tags
string[]
title
string | null
internalNotes
string | null

Response

Threads updated successfully

success
boolean
Example:

true

message
string
Example:

"Thread statuses updated successfully"

data
object